Can I upgrade an existing installation of GOexchange┬« 2 to GOexchange┬« 3?

No.

GOexchange version 3.x represents a quantum leap from all previous versions of GOexchange┬«.  These older versions are not compatible, and must be completely uninstalled before installing GOexchange 3.